[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.CreateParams

Updates the specified creation parameters to include additional flags for the control.

## Declaration

Source position: stdctrls.pp line 345

`protected procedure TCustomComboBox.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Creation parameters updated in the method.

## Description

CreateParams is an overridden method in TCustomComboBox, and calls the inherited method on entry. CreateParams ensures that the style information in Params is updated to include constants needed to represent values in the Style property for the control. The following constants are also included:

- WS_VSCROLL
- CBS_AUTOHSCROLL
- CBS_HASSTRINGS

When Sorted is set to True, the value CBS_SORT is also included in the style information in Params.

## See also

TCustomComboBox.Style |  | Controls the appearance and behavior for the combo-box.
TCustomComboBox.Sorted |  | Determines whether the list entries are sorted in alphanumeric order.
TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.